#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n,  a[100000], answer=0, ii, sum=0;
    bool b=true;
	cin>>n;
    ii=n;
    for(int i=1; i<=n; i++) {
        cin>>a[i];
    }
for(int i=1; i<=n;i++) {
sum=sum+a[i];

}
while(sum!=0) {
    answer=answer+a[ii];




for(int i=ii; i>0; i--) {
if(a[i]<a[ii]) {
   //сдвиг влево
  // int b[100000];
  // for(int k=1; k<i; k++) {
   //    b[k]=a[k];
  // }
  // for(int k=1; k<i; k++) {
//       a[k-1]=b[k]
 //  } 
    //сдвиг влево
    a[i]--;
}
}
ii--;
a[ii]=0;

int sum=0;
for(int k=1; k<=n; k++) {
    sum=sum+a[k];
}






}
if(b==true) {
    cout<<answer<<"\n";
}
}
